### Method

# Gimp Image freeze_paths

since: 2.10.2

#### Declaration [src]

    gboolean
    gimp_image_freeze_paths (
      GimpImage* image
    )

#### Description [src]

Freeze the image’s path list.

This procedure freezes the path list of the image, suppressing any updates to the Paths dialog in response to changes to the image’s path. This can significantly improve performance while applying changes affecting the path list.

Each call to `gimp_image_freeze_paths()` should be matched by a corresponding call to `gimp_image_thaw_paths()`, undoing its effects.

Available since: 2.10.2

#### Return value

Type: `gboolean`

TRUE on success.